/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UpdatePrescriptionRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class UpdatePrescriptionRequest {
  @SerializedName("selected_recipient")
  private SelectedRecipient selectedRecipient = null;

  public UpdatePrescriptionRequest selectedRecipient(SelectedRecipient selectedRecipient) {
    this.selectedRecipient = selectedRecipient;
    return this;
  }

   /**
   * Get selectedRecipient
   * @return selectedRecipient
  **/
  @ApiModelProperty(value = "")
  public SelectedRecipient getSelectedRecipient() {
    return selectedRecipient;
  }

  public void setSelectedRecipient(SelectedRecipient selectedRecipient) {
    this.selectedRecipient = selectedRecipient;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UpdatePrescriptionRequest updatePrescriptionRequest = (UpdatePrescriptionRequest) o;
    return Objects.equals(this.selectedRecipient, updatePrescriptionRequest.selectedRecipient);
  }

  @Override
  public int hashCode() {
    return Objects.hash(selectedRecipient);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UpdatePrescriptionRequest {\n");
    
    sb.append("    selectedRecipient: ").append(toIndentedString(selectedRecipient)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

